petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMallocClear

Resets the routines used to do mallocs and frees to the defaults.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocClear(void)

Not Collective Many br

Many br

### Notes

In general one should never run a PETSc program with different malloc() and Many brfree() settings for different parts; this is because one NEVER wants to Many brfree() an address that was malloced by a different memory management system Many br

Level:developer
Location:src/sys/memory/mal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages